cutlass::arch::Mma< gemm::GemmShape< 1, 1, 1 >, 1, double, LayoutA, complex< double >, LayoutB, complex< double >, LayoutC, OpMultiplyAdd > Struct Template Reference

Matrix multiply-add operation.

`#include <mma_sm50.h>`

## Public Types

using | Shape = gemm::GemmShape< 1, 1, 1 >

## Public Member Functions

CUTLASS_HOST_DEVICE void | operator() (Array< complex< double >, 1 > &d, Array< double, 1 > const &a, Array< complex< double >, 1 > const &b, Array< complex< double >, 1 > const &c)

## Member Typedef Documentation

template<typename LayoutA , typename LayoutB , typename LayoutC >

using cutlass::arch::Mma< gemm::GemmShape< 1, 1, 1 >, 1, double, LayoutA, complex< double >, LayoutB, complex< double >, LayoutC, OpMultiplyAdd >::Shape = gemm::GemmShape<1, 1, 1>

## Member Function Documentation

template<typename LayoutA , typename LayoutB , typename LayoutC >

CUTLASS_HOST_DEVICE void cutlass::arch::Mma< gemm::GemmShape< 1, 1, 1 >, 1, double, LayoutA, complex< double >, LayoutB, complex< double >, LayoutC, OpMultiplyAdd >::operator() | ( | Array< complex< double >, 1 > & | d,
|  | Array< double, 1 > const & | a,
|  | Array< complex< double >, 1 > const & | b,
|  | Array< complex< double >, 1 > const & | c
| ) |  |

inline

The documentation for this struct was generated from the following file:

- arch/mma_sm50.h